LLVM: lldb::SBData Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBData Class Reference

`#include <SBData.h>`

## Public Member Functions
| SBData ()
| SBData (const SBData &rhs)
const SBData & | operator= (const SBData &rhs)
| ~SBData ()
uint8_t | GetAddressByteSize ()
void | SetAddressByteSize (uint8_t addr_byte_size)
void | Clear ()
bool | IsValid ()
size_t | GetByteSize ()
lldb::ByteOrder | GetByteOrder ()
void | SetByteOrder (lldb::ByteOrder endian)
float | GetFloat (lldb::SBError &error, lldb::offset_t offset)
double | GetDouble (lldb::SBError &error, lldb::offset_t offset)
long double | GetLongDouble (lldb::SBError &error, lldb::offset_t offset)
lldb::addr_t | GetAddress (lldb::SBError &error, lldb::offset_t offset)
uint8_t | GetUnsignedInt8 (lldb::SBError &error, lldb::offset_t offset)
uint16_t | GetUnsignedInt16 (lldb::SBError &error, lldb::offset_t offset)
uint32_t | GetUnsignedInt32 (lldb::SBError &error, lldb::offset_t offset)
uint64_t | GetUnsignedInt64 (lldb::SBError &error, lldb::offset_t offset)
int8_t | GetSignedInt8 (lldb::SBError &error, lldb::offset_t offset)
int16_t | GetSignedInt16 (lldb::SBError &error, lldb::offset_t offset)
int32_t | GetSignedInt32 (lldb::SBError &error, lldb::offset_t offset)
int64_t | GetSignedInt64 (lldb::SBError &error, lldb::offset_t offset)
const char * | GetString (lldb::SBError &error, lldb::offset_t offset)
size_t | ReadRawData (lldb::SBError &error, lldb::offset_t offset, void *buf, size_t size)
bool | GetDescription (lldb::SBStream &description, lldb::addr_t base_addr=LLDB_INVALID_ADDRESS)
void | SetData (lldb::SBError &error, const void *buf, size_t size, lldb::ByteOrder endian, uint8_t addr_size)
bool | Append (const SBData &rhs)
bool | SetDataFromCString (const char *data)
bool | SetDataFromUInt64Array (uint64_t *array, size_t array_len)
bool | SetDataFromUInt32Array (uint32_t *array, size_t array_len)
bool | SetDataFromSInt64Array (int64_t *array, size_t array_len)
bool | SetDataFromSInt32Array (int32_t *array, size_t array_len)
bool | SetDataFromDoubleArray (double *array, size_t array_len)

## Static Public Member Functions
static lldb::SBData | CreateDataFromCString (lldb::ByteOrder endian, uint32_t addr_byte_size, const char *data)
static lldb::SBData | CreateDataFromUInt64Array (lldb::ByteOrder endian, uint32_t addr_byte_size, uint64_t *array, size_t array_len)
static lldb::SBData | CreateDataFromUInt32Array (lldb::ByteOrder endian, uint32_t addr_byte_size, uint32_t *array, size_t array_len)
static lldb::SBData | CreateDataFromSInt64Array (lldb::ByteOrder endian, uint32_t addr_byte_size, int64_t *array, size_t array_len)
static lldb::SBData | CreateDataFromSInt32Array (lldb::ByteOrder endian, uint32_t addr_byte_size, int32_t *array, size_t array_len)
static lldb::SBData | CreateDataFromDoubleArray (lldb::ByteOrder endian, uint32_t addr_byte_size, double *array, size_t array_len)

## Protected Member Functions
lldb_private::DataExtractor * | get () const
lldb_private::DataExtractor * | operator-> () const
lldb::DataExtractorSP & | operator* ()
const lldb::DataExtractorSP & | operator* () const
| SBData (const lldb::DataExtractorSP &data_sp)
void | SetOpaque (const lldb::DataExtractorSP &data_sp)

## Friends
class | SBInstruction
class | SBProcess
class | SBSection
class | SBTarget
class | SBValue

## Detailed Description

Definition at line 17 of file SBData.h.

## Constructor & Destructor Documentation

lldb::SBData::SBData | ( |  | ) |

lldb::SBData::SBData | ( | const SBData & | rhs | ) |

lldb::SBData::~SBData | ( |  | ) |

lldb::SBData::SBData | ( | const lldb::DataExtractorSP & | data_sp | ) |
| protected

## Member Function Documentation

bool lldb::SBData::Append | ( | const SBData & | rhs | ) |

void lldb::SBData::Clear | ( |  | ) |

static lldb::SBData lldb::SBData::CreateDataFromCString | ( | lldb::ByteOrder | endian,
|  | uint32_t | addr_byte_size,
|  | const char * | data
| ) |  |
| static

static lldb::SBData lldb::SBData::CreateDataFromDoubleArray | ( | lldb::ByteOrder | endian,
|  | uint32_t | addr_byte_size,
|  | double * | array,
|  | size_t | array_len
| ) |  |
| static

static lldb::SBData lldb::SBData::CreateDataFromSInt32Array | ( | lldb::ByteOrder | endian,
|  | uint32_t | addr_byte_size,
|  | int32_t * | array,
|  | size_t | array_len
| ) |  |
| static

static lldb::SBData lldb::SBData::CreateDataFromSInt64Array | ( | lldb::ByteOrder | endian,
|  | uint32_t | addr_byte_size,
|  | int64_t * | array,
|  | size_t | array_len
| ) |  |
| static

static lldb::SBData lldb::SBData::CreateDataFromUInt32Array | ( | lldb::ByteOrder | endian,
|  | uint32_t | addr_byte_size,
|  | uint32_t * | array,
|  | size_t | array_len
| ) |  |
| static

static lldb::SBData lldb::SBData::CreateDataFromUInt64Array | ( | lldb::ByteOrder | endian,
|  | uint32_t | addr_byte_size,
|  | uint64_t * | array,
|  | size_t | array_len
| ) |  |
| static

lldb_private::DataExtractor* lldb::SBData::get | ( |  | ) | const
| protected

lldb::addr_t lldb::SBData::GetAddress | ( | lldb::SBError & | error,
|  | lldb::offset_t | offset
| ) |  |

uint8_t lldb::SBData::GetAddressByteSize | ( |  | ) |

lldb::ByteOrder lldb::SBData::GetByteOrder | ( |  | ) |

size_t lldb::SBData::GetByteSize | ( |  | ) |

bool lldb::SBData::GetDescription | ( | lldb::SBStream & | description,
|  | lldb::addr_t | base_addr = `LLDB_INVALID_ADDRESS`
| ) |  |

double lldb::SBData::GetDouble | ( | lldb::SBError & | error,
|  | lldb::offset_t | offset
| ) |  |

float lldb::SBData::GetFloat | ( | lldb::SBError & | error,
|  | lldb::offset_t | offset
| ) |  |

long double lldb::SBData::GetLongDouble | ( | lldb::SBError & | error,
|  | lldb::offset_t | offset
| ) |  |

int16_t lldb::SBData::GetSignedInt16 | ( | lldb::SBError & | error,
|  | lldb::offset_t | offset
| ) |  |

int32_t lldb::SBData::GetSignedInt32 | ( | lldb::SBError & | error,
|  | lldb::offset_t | offset
| ) |  |

int64_t lldb::SBData::GetSignedInt64 | ( | lldb::SBError & | error,
|  | lldb::offset_t | offset
| ) |  |

int8_t lldb::SBData::GetSignedInt8 | ( | lldb::SBError & | error,
|  | lldb::offset_t | offset
| ) |  |

const char* lldb::SBData::GetString | ( | lldb::SBError & | error,
|  | lldb::offset_t | offset
| ) |  |

uint16_t lldb::SBData::GetUnsignedInt16 | ( | lldb::SBError & | error,
|  | lldb::offset_t | offset
| ) |  |

uint32_t lldb::SBData::GetUnsignedInt32 | ( | lldb::SBError & | error,
|  | lldb::offset_t | offset
| ) |  |

uint64_t lldb::SBData::GetUnsignedInt64 | ( | lldb::SBError & | error,
|  | lldb::offset_t | offset
| ) |  |

uint8_t lldb::SBData::GetUnsignedInt8 | ( | lldb::SBError & | error,
|  | lldb::offset_t | offset
| ) |  |

bool lldb::SBData::IsValid | ( |  | ) |

lldb::DataExtractorSP& lldb::SBData::operator* | ( |  | ) |
| protected

const lldb::DataExtractorSP& lldb::SBData::operator* | ( |  | ) | const
| protected

lldb_private::DataExtractor* lldb::SBData::operator-> | ( |  | ) | const
| protected

const SBData& lldb::SBData::operator= | ( | const SBData & | rhs | ) |

size_t lldb::SBData::ReadRawData | ( | lldb::SBError & | error,
|  | lldb::offset_t | offset,
|  | void * | buf,
|  | size_t | size
| ) |  |

void lldb::SBData::SetAddressByteSize | ( | uint8_t | addr_byte_size | ) |

void lldb::SBData::SetByteOrder | ( | lldb::ByteOrder | endian | ) |

void lldb::SBData::SetData | ( | lldb::SBError & | error,
|  | const void * | buf,
|  | size_t | size,
|  | lldb::ByteOrder | endian,
|  | uint8_t | addr_size
| ) |  |

bool lldb::SBData::SetDataFromCString | ( | const char * | data | ) |

bool lldb::SBData::SetDataFromDoubleArray | ( | double * | array,
|  | size_t | array_len
| ) |  |

bool lldb::SBData::SetDataFromSInt32Array | ( | int32_t * | array,
|  | size_t | array_len
| ) |  |

bool lldb::SBData::SetDataFromSInt64Array | ( | int64_t * | array,
|  | size_t | array_len
| ) |  |

bool lldb::SBData::SetDataFromUInt32Array | ( | uint32_t * | array,
|  | size_t | array_len
| ) |  |

bool lldb::SBData::SetDataFromUInt64Array | ( | uint64_t * | array,
|  | size_t | array_len
| ) |  |

void lldb::SBData::SetOpaque | ( | const lldb::DataExtractorSP & | data_sp | ) |
| protected

## Friends And Related Function Documentation

friend class SBInstruction
| friend

Definition at line 145 of file SBData.h.

friend class SBProcess
| friend

Definition at line 146 of file SBData.h.

friend class SBSection
| friend

Definition at line 147 of file SBData.h.

friend class SBTarget
| friend

Definition at line 148 of file SBData.h.

friend class SBValue
| friend

Definition at line 149 of file SBData.h.

The documentation for this class was generated from the following file:

- SBData.h